Subject: EGIT compare editor

From: Chris Dumoulin <[email-masked]>
Date: Tue, 14 Oct 2008 10:18:27 -0400

I seem to have successfully installed EGIT in Eclipse 3.4.1, but I can't 
figure out how to bring up the compare editor to view diffs.

The EGIT plugin seems to be loaded and working for my project; I see 
"[Git @ master]" beside the project name, and ">" beside changed files. 
Also, the quickdiff seems to be working; I see a different colour in the 
left margin beside changes within the file. The "Team" context menu 
seems to be populated properly: "Commit", "Update Index (Refresh)", 
"Show in Resource History", "Assume unchanged", "Track (Add)", "Untrack 
(Remove)", "Apply Patch...", and below the separator "Show Local History".

I expect that after right-clicking on a changed file, I would have some 
option under "Compare With" or "Team" that would allow me to diff the 
current file against the HEAD or some other revision using the compare 
editor, but I can't seem to find any way to do this. How do I bring up 
the compare editor to view diffs?

Thanks,
Chris